> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Delete Price Batches

> Hard-delete price batches in bulk.

Eligible: draft, generated, generated_with_errors, cancelled, archived, approved.
Blocked when publishing_status is publishing/published/partial, or when any
prices have already been published (published_count > 0).



## OpenAPI

````yaml /openapi/merchantops-public.json post /api/pricing/batches/batch-delete
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/pricing/batches/batch-delete:
    post:
      tags:
        - Pricing
        - Pricing
        - Price Batches
      summary: Bulk Delete Price Batches
      description: >-
        Hard-delete price batches in bulk.


        Eligible: draft, generated, generated_with_errors, cancelled, archived,
        approved.

        Blocked when publishing_status is publishing/published/partial, or when
        any

        prices have already been published (published_count > 0).
      operationId: bulk_delete_price_batches
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkBatchKeysRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkDeleteResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    BulkBatchKeysRequest:
      properties:
        batch_keys:
          items:
            type: string
          maxItems: 500
          minItems: 1
          title: Batch Keys
          type: array
      required:
        - batch_keys
      title: BulkBatchKeysRequest
      type: object
    BulkDeleteResponse:
      properties:
        deleted:
          title: Deleted
          type: integer
        details:
          items:
            additionalProperties: true
            type: object
          title: Details
          type: array
      required:
        - deleted
        - details
      title: BulkDeleteResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````